Package org.silverpeas.mobile.shared.dto.workflow

## Class WorkflowInstanceDTO

- java.lang.Object
- - org.silverpeas.mobile.shared.dto.workflow.WorkflowInstanceDTO

- All Implemented Interfaces:
    `Serializable`

      public class WorkflowInstanceDTO
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WorkflowInstanceDTO()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addHeaderField​(String value)` |
    `boolean` | `equals​(Object obj)` |
    `List<String>` | `getHeaderFieldsValues()` |
    `String` | `getId()` |
    `String` | `getState()` |
    `String` | `getTitle()` |
    `void` | `setHeaderFieldsValues​(List<String> headerFieldsValues)` |
    `void` | `setId​(String id)` |
    `void` | `setState​(String state)` |
    `void` | `setTitle​(String title)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkflowInstanceDTO

          public WorkflowInstanceDTO()

  - ### Method Detail

    - #### setHeaderFieldsValues

          public void setHeaderFieldsValues​(List<String> headerFieldsValues)

    - #### getId

          public String getId()

    - #### setId

          public void setId​(String id)

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### getTitle

          public String getTitle()

    - #### setTitle

          public void setTitle​(String title)

    - #### setState

          public void setState​(String state)

    - #### getState

          public String getState()

    - #### addHeaderField

          public void addHeaderField​(String value)

    - #### getHeaderFieldsValues

          public List<String> getHeaderFieldsValues()